Skip to main content
GET
List notifications

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number
default:1
required

Page number

limit
number
default:10
required

Number of items per page

tenantId
string<uuid>

Tenant ID to filter notifications (optional, defaults to user active tenant)

Example:

"123e4567-e89b-12d3-a456-426614174000"

status
enum<string>

Filter by notification status

Available options:
UNREAD,
READ
templateKey
string

Filter by template key

Example:

"DELEGATION_ISSUED"

category
string

Filter by category

Example:

"Delegations"

entityType
string

Filter by entity type

Example:

"delegation"

timePeriod
enum<string>
default:all

Filter by time period (1m, 3m, 6m, all)

Available options:
1m,
3m,
6m,
all

Response

200 - application/json

Notifications retrieved successfully

statusCode
number
required
Example:

200

timestamp
string
required
Example:

"2026-01-12T09:08:08.311Z"

message
string
required
Example:

"Success"

data
object